Pregunta sobre DHL for WooCommerce de Wordpress:

ob_clean (): no se pudo borrar el búfer. No hay búfer para eliminar

Un usuario preguntó 👇

WP 5.2.2, WC 3.6.5, versión del plugin 1.4.1


<br />
<b>Notice</b>:  ob_clean(): failed to delete buffer. No buffer to delete in <b>{replaced}/wp-content/plugins/dhl-for-woocommerce/includes/abstract-pr-dhl-wc-order.php</b> on line <b>1171</b><br />
<br />
<b>Warning</b>:  Cannot modify header information - headers already sent by (output started at {replaced}/wp-content/plugins/dhl-for-woocommerce/includes/abstract-pr-dhl-wc-order.php:1171) in <b>{replaced}/wp-content/plugins/dhl-for-woocommerce/includes/abstract-pr-dhl-wc-order.php</b> on line <b>1175</b><br />
<br />
<b>Warning</b>:  Cannot modify header information - headers already sent by (output started at {replaced}/wp-content/plugins/dhl-for-woocommerce/includes/abstract-pr-dhl-wc-order.php:1171) in <b>{replaced}/wp-content/plugins/dhl-for-woocommerce/includes/abstract-pr-dhl-wc-order.php</b> on line <b>1176</b><br />
<br />
<b>Warning</b>:  Cannot modify header information - headers already sent by (output started at {replaced}/wp-content/plugins/dhl-for-woocommerce/includes/abstract-pr-dhl-wc-order.php:1171) in <b>{replaced}/wp-content/plugins/dhl-for-woocommerce/includes/abstract-pr-dhl-wc-order.php</b> on line <b>1177</b><br />
<br />
<b>Warning</b>:  Cannot modify header information - headers already sent by (output started at {replaced}/wp-content/plugins/dhl-for-woocommerce/includes/abstract-pr-dhl-wc-order.php:1171) in <b>{replaced}/wp-content/plugins/dhl-for-woocommerce/includes/abstract-pr-dhl-wc-order.php</b> on line <b>1178</b><br />
<br />
<b>Warning</b>:  Cannot modify header information - headers already sent by (output started at {replaced}/wp-content/plugins/dhl-for-woocommerce/includes/abstract-pr-dhl-wc-order.php:1171) in <b>{replaced}/wp-content/plugins/dhl-for-woocommerce/includes/abstract-pr-dhl-wc-order.php</b> on line <b>1179</b><br />
<br />
<b>Warning</b>:  Cannot modify header information - headers already sent by (output started at {replaced}/wp-content/plugins/dhl-for-woocommerce/includes/abstract-pr-dhl-wc-order.php:1171) in <b>{replaced}/wp-content/plugins/dhl-for-woocommerce/includes/abstract-pr-dhl-wc-order.php</b> on line <b>1180</b><br />
<br />
<b>Warning</b>:  Cannot modify header information - headers already sent by (output started at {replaced}/wp-content/plugins/dhl-for-woocommerce/includes/abstract-pr-dhl-wc-order.php:1171) in <b>{replaced}/wp-content/plugins/dhl-for-woocommerce/includes/abstract-pr-dhl-wc-order.php</b> on line <b>1181</b><br />

Resolví esto usando la versión 1.4.0 del plugin nuevamente.

(@ialocin)

Hace 1 año, 5 meses

Debería haber sido enterrado. Al intentar descargar la etiqueta pdf, esta sirve como un archivo html. El archivo html contiene solo el pdf que se usa con el código que se muestra arriba.

(@shadim)

Hace 1 año, 5 meses

Necesitaría acceder a su administrador de FTP y WP para revisar este problema, comuníquese conmigo en «dhlsupport [at] progressusmarketing.com ”.

(@ialocin)

Hace 1 año, 5 meses

Lo siento, pero debes estar bromeando …

No puedo darle acceso administrativo a un sitio con datos confidenciales.

Y nadie debería ser honesto.

Mi entorno de desarrollo es local, por lo que no es posible.

Por último, pero no menos importante, debería poder depurar su plugin sin solicitar acceso de todos modos.

Si necesita más información, hágamelo saber.

(@shadim)

Hace 1 año, 5 meses

Bien, puedo enviarte una nueva versión para que pruebes. Si lo prefiere, envíeme un correo electrónico.

(@ialocin)

Hace 1 año, 5 meses

Este es claramente el culpable:

https://plugins.trac.wordpress.org/changeset/2112570/

(@shadim)

Hace 1 año, 5 meses

Sé dónde está el problema, pero ambas funciones parecen estar creando problemas para diferentes usuarios. Si desea que haga un arreglo de prueba para usted, puedo, como ya se mencionó.

(@ialocin)

Hace 1 año, 5 meses

Sería más eficiente trabajar con un sistema de control de versiones, tal vez git, si me preguntas, tal vez github. No solo para la versión publicada, sino también para el desarrollo, ramas de soporte. Da la oportunidad de contribuir y hace que sea más fácil ver los cambios de código.

Me resulta difícil instalar direcciones de código aleatorio por correo electrónico, nunca se sabe la intención. Personalmente, he podido comprobar los cambios en el código, pero la mayoría de la gente no lo hace. Por cierto, no hay nada personal en tu contra.

(Envíele un correo electrónico ahora).

(@shadim)

Hace 1 año, 5 meses

He lanzado v1.4.2 que agrega la verificación del búfer antes de que se vacíe

(@ialocin)

Hace 1 año, 5 meses

Funciona para mi, gracias

¿Solucionó tu problema??

0 / 0

Deja una respuesta 0

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *